Bug 785966 (CVE-2012-0449)

Summary: CVE-2012-0449 Mozilla: Crash when rendering SVG+XSLT (MFSA 2012-08)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, mjc, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20120131,reported=20120130,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4/firefox=affected,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-01 04:04:20 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Huzaifa S. Sidhpurwala 2012-01-30 22:06:00 EST
It was found that mozilla would crash when rendering certain SVG files, containing XSLT. A web page containing malicious content could cause Firefox to crash or execute arbitrary code with the privileges of the user running Firefox.
Comment 1 Vincent Danen 2012-01-31 15:27:29 EST
External References:

http://www.mozilla.org/security/announce/2012/mfsa2012-08.html
Comment 2 errata-xmlrpc 2012-01-31 18:44:59 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0080 https://rhn.redhat.com/errata/RHSA-2012-0080.html
Comment 3 errata-xmlrpc 2012-01-31 19:07:22 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0079 https://rhn.redhat.com/errata/RHSA-2012-0079.html